Subject: bug#57804: An infinite loop in a `fontify-region' function causes Emacs to hang indefinitely

From: Paul Pogonyshev <[email-masked]>
Date: Thu, 15 Sep 2022 20:49:17 +0200

> already told you thrice that a
> simple way to fix your problem is to set long-line-threshold to a larger
> value (or to nil).

Thanks, I added  `(setf long-line-threshold nil)' to Emacs startup
configuration
file a couple of days before. But unless I'm missing something, this is not
a
fix, only a workaround. The variable is not buffer-local, so I cannot
change it
in the mode, only as my personal setting.

Paul

On Thu, 15 Sept 2022 at 18:44, Gregory Heytings <[email-masked]>
wrote:

>
> >
> > My attitude is explained by my general experience with Emacs itself and
> > reporting any problems I have had with it. Sometimes everything went out
> > fine, but far less often than I would have hoped.
> >
>
> We're all doing our best to improve Emacs in our free time.  It is
> unreasonable to expect that everything would go fine (with your own
> definition of "fine") in all cases.  It would not be reasonable to expect
> that from a private company, either.
>
> >
> > You may see me as a jerk,
> >
>
> I do not.
>
> >
> > I suspect your "help" was to the tune of "instead, you should just...".
> >
>
> That's a rather strange conclusion.  I already told you thrice that a
> simple way to fix your problem is to set long-line-threshold to a larger
> value (or to nil).
>